//############################################################################
//
// LaserBoy !!!
//
// by James Lehman
// Extra Stimulus Inc.
// james@akrobiz.com
//
// began: October 2003
//
//############################################################################
#ifndef __EZ_UAIL_HEADER_DEFINITIONS__
#define __EZ_UAIL_HEADER_DEFINITIONS__

//############################################################################
#include "ez_uail_common.hpp"

//############################################################################
class ez_uail_header
{
public:
    ez_uail_header( const char&    fmt = 0,
                    const string&  n   = "ESnoname",
                    const string&  o   = "LaserBoy",
                    const u_short& q   = 0,
                    const u_short& id  = 0,
                    const u_short& t   = 0,
                    const char&    s   = 0,
                    const char&    f   = 0
                  )
                  : format    (fmt),
                    name      (n  ),
                    owner     (o  ),
                    quantity  (q  ),
                    identity  (id ),
                    total     (t  ),
                    scanner   (s  ),
                    future    (f  )               {}
    //------------------------------------------------------------------------
    ez_uail_header(const ez_uail_header& header)
                  : format    (header.format  ),
                    name      (header.name    ),
                    owner     (header.owner   ),
                    quantity  (header.quantity),
                    identity  (header.identity),
                    total     (header.total   ),
                    scanner   (header.scanner ),
                    future    (header.future  )   {}
    //------------------------------------------------------------------------
   ~ez_uail_header()                              {}
    //------------------------------------------------------------------------
    ez_uail_header& operator = (const ez_uail_header& header)
                    {
                        format    = header.format   ;
                        name      = header.name     ;
                        owner     = header.owner    ;
                        quantity  = header.quantity ;
                        identity  = header.identity ;
                        total     = header.total    ;
                        scanner   = header.scanner  ;
                        future    = header.future   ;
                        return *this;
                    }
    //------------------------------------------------------------------------
    int      from_ifstream_ilda  (ifstream& in);
    //------------------------------------------------------------------------
    void     to_ofstream_ilda    (ofstream& out);
    //------------------------------------------------------------------------
    char     format   ;
    string   name     ,
             owner    ;
    u_short  quantity ,
             identity ,
             total    ;
    char     scanner  ,
             future   ;
};

//############################################################################
#endif

//############################################################################
//////////////////////////////////////////////////////////////////////////////
//############################################################################
